Subject: bug#60568: [FR] 30.0.50; Help buffers and function bodies for generated functions

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Jan 2023 16:16:13 +0200

> Date: Thu, 05 Jan 2023 12:33:26 +0000
> From: Gregory Heytings <[email-masked]>
> cc: Daniel Martín <[email-masked]>, [email-masked], 
>     [email-masked]
> 
> 
> >> I'd prefer we teach the Help facilities how to go to the source code of 
> >> that kind of functions.
> >
> > Agreed.
> >
> 
> What is missing in the five-line patch that does this?  With the recipe, 
> the file in which org-babel-execute:sh was defined (ob-shell.el) is 
> opened, and the function definition is displayed.  I don't think we can do 
> much better (e.g. reliably find the place where the function was defined).

Why not?  A function definition usually has some specific keywords in
it.  It is true that someone could have obfuscated the code which
generates a function to the degree that it would be infeasible to
recognize, but we don't need to support such arbitrary measures, we
only need to support what's really being used.  IOW, "reliably"
doesn't need to mean with 110% reliability.